Switch Off

Automatic shutdown utility

Welcome to the Switch Off documentation!

The following topics are included in this guide:

  • What is Switch Off?
  • What's new in this release?
  • Using Switch Off utility
  • Working with Web interface
  • Contacts & Credits
Copyright ©1997-2002 Yaroslav Pomazkov - All rights reserved


Overview

Switch Off is a tiny easy-to-use tray-based system utility that can automatically perform various frequently used operations like shutdown or restart your computer, disconnect your current dialup connection, lock workstation, etc. It also provides fast access to this operations through system tray icon. Utility has fully customizeable Web interface, that allows you to initiate operations mentioned above remotely from any computer with web browser installed. Web interface includes WAP support, so you can control your computer from mobile phone. This utility is intended to be used by either novice or professional user, because of its intuitive interface and professional features.

Features

  • Scheduled and immediate options for:
    • Shutdown / Restart computer
    • Log-off user
    • Lock WorkStation
    • Disconnect dialup connection
    • Standby / Hibernate (power saving options)
    • Fast windows restart (Windows 95/98)
  • Customizeable Web interface (mini HTTP server)
  • WAP protocol support.
  • Simple intuitive multi-language interface
  • Can work everytime when windows is running, even at logon screen.
  • Command line support (including timer setings)
  • Silent install option
  • Works on all 32-bit versions of Windows (9x/NT/2000/XP)
  • Tiny size and system resource requirements


Changes in this release

  • Code optimizations. Utility is now uses less memory for itself than before especially on NT based systems (Windows NT, 2000, XP).
  • Bug fixes. Following bugs that appears in some cases are fixed:
    • Error that occurs when entering username/password in options window.
    • "A required privilege is not held by the client" error.
For complete list of improvements, see Version history


Using Switch Off utility

Interface description

Utility has intuitive easy-to-use interface, but if you are uncertain on some option here is a description:

  • Main window
  • Options window

Tutorials

Here is a step-by-step instructions for doing some more complicated tasks:

  • Enabling and using web interface.
  • Manipulating utility from your Mobile phone.
  • Controlling utility from command line (conslole).
  • Localizing utility to your native language.
  • Installing utility silently/automatically using "Unattended setup".

If you can't find your answer for your question here, see utility FAQ


Main window

In main dialog window you can specify time when selected action should be initiated. It could be done using following options:

Period - Sets operation period for timer. I.e timer initiate selected action...

Daily | ... every day at specified time
Weekly | ... on specified day of the week and at specified time
One time | ... on specified day and at specified time
Countdown | ... past specified time

Time, Date, Weekday - Sets timer in conditions described above.

Action - Sets action to initiate.

Shutdown | Shuts down computer
Restart | Restarts computer
Logoff | Logs off current user
Lock | Locks computer from unauthorized use
Hangup | Disconnect active dialup connection
Standby | Puts computer on standby
Hibernate | Puts computer in hibernation
Fast restart | Restarts only windows, not your computer

Force applications to close

This option forces all running application to close, even if they are not-responding or for example asking you to save currently open document.
Warning: Use this option with caution, you could loose unsaved documents.


Options window

In options dialog window you can configure startup procedure, how program looks, web interface and more. Settings are divided into following groups:

  • General
  • Appearance
  • Remote control

General page

Time to display - Specifies amount of time to show warning message
Message text - Specifies message text. If were no text entered here, the default text will be shown.
Play sound - Tells program to notify user with sound when warning message displayed.
Play looped - Loops playing sound until time is up or user clicks a button.
Sound File - Specifies sound file to play.

Run as system service - Loads utility when windows is starting and allows it to work everytime when windows is running, even at logon screen.
Run at Windows startup / log on - Same as above, but utility do not working at logon screen or when workstation is locked.
Start with timer enabled - Enables timer when utility starts.
Start minimized - Starts utility minimized to system tray.

Appearance page

Language - Chooses language for program's interface. For more information see: Multi-language support.
Background - Allows you to customize program's interface background.
Window transparency - Make all program's dialog windows transparent. This option is available on Windows2000 and later operation systems.

Remote control page

Enable web interface - Allow utility to be remotely controlled from another computer. For more information see: Using web interface
Port - Specifies port to use.
Allow remote access only to - Grants access only to specified Username and Password.
Ask password only when user trying initiate action - Self descriptive.
View / Edit web interface files - Opens web interface files directory. Here you can modify file that will be displayed by default when remote user connects to program's web interface. Also you can add some html or image files here, and use web interface as mini HTTP server.


Web interface

Web interface allows you remotely control this utility. You can control this utility from any computer withbrowser installed, for example Microsoft Internet Explorer or Netscape Navigator. Also you can control this utility using your Mobile phone's WAP browser.

The following steps describes how to enable and use web interface:

  • First you should enable it. Check Enable web interface option in Options dialog.
  • Next, launch Web browser on any computer connected to computer on which Switch Off installed. Computers could be connected through your local area network or through the internet.
  • In address field type name or IP address of your computer with port number selected in Options dialog of Switch Off utility installed.Default port number is 8000.
    Example: http://192.168.0.1:8000/ or http://computer-name:8000/
  • You can customize page displayed in web browser when you connect to computer with Switch Off utility.
    To do this you should edit index.htm and/or other files located in program-dir\pub\ directory with any html editor or manually (HTML knowledge is required).

Also you can use web interface as mini HTTP server. Root directory for this server is program-dir\pub\
Note: Mini HTTP server supports html, htm, wml, gif files. Support for other files will be added in later versions.

WAP support

WAP protocol support allows you control your computer using your Mobile phone.

To use this feature you should have:

  • Computer connected to the internet with Switch Off running and Web Interface enabled (see above).
  • Mobile phone with WAP browser version 1.1 or later. Read your phone manual to ensure of it.

Then you should connect your mobile phone to the internet. If you don't know how to do it, contact your phone service provider, they should help. When you are connected, enter URL (IP address) of your computer (see above)into your mobile phone. That's all, now you should see an actions menu or login page (if you enabled password protection).

Appearance of menu and login pages in your mobile phone is fully customizable. These files have .WML extension, and located with other Web interface files (see above).


Command line options

Usage

swoff.exe [filename] [options]

Parameters

/hide | Program starts minimized in system tray
/wait:N | Shows warning message for N seconds
/shutdown | Performs same named actions immediately
/restart
/logoff
/hangup
/standby
/hibernate
/fast restart
/force | Forces actions listed above
/cfg:<filename> | Set timer from config file

Example

The following example shows how to load timer settings from config file, turn force option on,and start program minimized.

swoff.exe /cfg:simple.cfg /force /hide

Note: Sample config file is located in program folder.


Localization

Switch Off utility initially available only in two languages. Other could be downloaded from here.
If you didn't find it there, you can localize utility yourself. To do this you should translate "custom.lng" file located in program-dir\lng\ directory to your native language, and rename it to your language name, i.e "English.lng" or "Deutsche.lng".

If you wish to share your native language file with other people you can send it to the author of Switch Off utility by email. When sending language file you should include your name and email address into the message.Your file will be available to download by other people from Switch Off utility web site. Your name and email address will be indicated near link to this language file. If you don't want your email to be indicated here, mention it when sending language file.


Silent installation

Silent installation is often used in batch scripts. It is very useful when you need to install large number of software packages automaticly.

Usage

swoff23.exe /S


Contacts and Credits

Author

Name: Yaroslav Pomazkov
Email: yasoft@nm.ru
Feel free to contact me. Any comments, offers on improvement would be very appreciated.

Thanks

Beta testing and spiritual support - Eugeny Vlasov.
Install program is a modified NSIS Installer provided by Nullsoft, inc.
Compression - UPX provided by Markus Oberhumer & Laszlo Molnar.
A special thanks to all people who have helped me localize, test and improve this utility.

Switch Off on the Web

For the most recent information and software updates please visit:

  • Author's web site
  • Switch Off Home page

If you can't reach it try our mirrors:

  • USA
  • Russia

Note: Information on mirrors is not recently updated, so try primary site first.


End-User License Agreement

Licensing

Switch Off software product ("Software") is licensed as "FREEWARE". It means, youcan use the software at no cost.

Disclaimer of warranty

The software and accompanying files is provided "AS IS" without warranty of any kind, either express or implied. In no event shall the author be liable for any damages whatsoever including direct, indirect, consequential, loss of business profits. This includes, but is not limited to, merchantability and fitness for a particular purpose.

Confidential property

The software is confidential property of the author. Reverse engineer (decompile) or disassemble of the software is strictly prohibited.

Changing the software, the documentation, the distribution form in any way is strictly prohibited.

Distribution

It is allowed to distribute this software and accompanying files in its unmodified distribution form, providing that no fee is charged, except for any fees necessary to cover the cost of distribution media.Informing author about cd-rom distribution would be appreciated but is not required.

Copyright

All rights reserved by the author - Yaroslav Pomazkov.

Trademarks

All brand and product names mentioned are properties of their respective owners.